.hero-bg {
    background-color: var(--gris-light);
}
.hero {
    height: 90vh;
    display: flex;
    padding: 10px 45px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    align-self: stretch;
    border-radius: 0 0 100px 0;
    background: url("/imagenes/paginas/index/hero.jpg") right / cover no-repeat,
        var(--gris-light);
}

.hero * {
    font-family: "Urbanist", "Inter", sans-serif;
}

.caption {
    display: flex;
    width: 1100px;
    height: 400px;
    flex-direction: column;
    align-items: flex-start;
    gap: 20px;
}

.caption-title,
.caption-text {
    color: var(--blanco);
}

.caption-title h1 {
    font-size: 72px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.caption-text {
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    max-width: 600px;
}

/* seccin flotante */
.seccion-flotante {
    display: flex;
    width: 100%;
    max-width: 1100px;
    height: 230px;
    justify-content: center;
    align-items: center;
    gap: 10px;

    position: absolute;
    left: 50%;
    bottom: -30px;
    transform: translateX(-50%);

    border-radius: 24px;
    background: var(--blanco);
    box-shadow: 0 9px 4px 0 rgba(0, 0, 0, 0.15);
    z-index: 10;
}

.imagen-logo-franquicia {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 200px;     /* ancho fijo */
    height: 200px;    /* alto fijo para unificar */
    padding: 10px;    /* opcional: da respiro al logo */
    background-color: white; /* opcional: contraste */
}

.imagen-logo-franquicia img {
    object-fit: contain;
}


.logo-franquicia-title {
    color: #000;
    text-align: center;
    font-family: Urbanist;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin-bottom: 0;
    margin-top: 0.5rem;
}
.logo-franquicia-text {
    margin-bottom: 0;
    color: #000;
    text-align: center;
    font-family: Urbanist;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.marco-logo-marron {
    border-radius: 1000px;
    background: #937a61;
    display: flex;
    width: 64px;
    height: 64px;
    padding: 10px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    aspect-ratio: 1/1;
}

.separador-vertical {
    width: 1px;
    background-color: var(--gris);
    height: 150px;
}

/* Seccion alternativa a la flotante */
.contenedor-franquicias-alternativo {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--blanco);
    padding: 1rem;
    border-radius: 0.6rem;
    border: 1px solid var(--gris);
    width: 100%;
    max-width: 100%;
    height: auto;
    min-height: 80px;
    box-sizing: border-box;
}

.contenedor-franquicias-alternativo .borde-separador {
    border-right: 1px solid var(--gris);
}

/* alquileres larga estancia */
.alquileres-larga-estancia {
    padding-top: 164px;
    background-color: var(--gris-light);
}

h2 {
    color: #000;
    text-align: center;
    font-size: 36px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.subtitulo-seccion {
    color: #354f4e;
    text-align: center;
    font-family: Inter;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    max-width: 690px;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

/* Tarjetas alquiler */
.contenedor-alquiler {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    width: 100%;
    max-width: 320px;
    height: auto;
}
.imagen-alquiler {
    display: flex;
    align-items: flex-end;
    gap: 10px;
    border-radius: 8px;
    overflow: hidden;
    width: 100%;
    max-width: 320px;
    aspect-ratio: 16/9;
}


.imagen-alquiler img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 8px;
    display: block;
    transition: .3s ;
}
.imagen-alquiler img:hover{
    transform: scale(1.1);
}
.imagen-alquiler .imagen-en-construccion{
    background-color: #eee;
}

.imagen-en-construccion img{
    background-color: #eee;
    object-fit: contain;
    padding: 2rem;
}

.titulo-alquiler {
    color: #000;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.info-alquiler {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 100%;
}

.info-alquiler .direccion {
    display: flex;
    flex-direction: column;
    gap: 10px;
    color: var(--gris);
    font-family: Inter;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.info-alquiler .caracteristicas {
    color: var(--gris);
    text-align: center;
    font-family: Inter;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.boton-informacion {
    display: flex;
    justify-content: end;
}

.boton-informacion a {
    padding: 8px 12px;
}

/* Soluciones */
.tarjeta-solucion {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    gap: 32px;
    padding: 24px;
    width: 100%;
    max-width: 320px;
    height: auto;
    background-color: var(--gris-light);
    border-radius: 16px;
    box-sizing: border-box;
}

.contenedor-icono-solucion {
    display: flex;
    width: 100px;
    height: 100px;
    padding: 10px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    flex-shrink: 0;
    border-radius: 1000px;
    background: var(--blanco);
}

.contenedor-icono-solucion img {
    width: 50px;
    height: 50px;
    flex-shrink: 0;
    aspect-ratio: 1/1;
}

.titulo-solucion {
    color: #000;
    text-align: center;
    font-family: Inter;
    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    color: #000;
}

.texto-solucion {
    color: var(--Main-Grey, #354f4e);
    text-align: center;
    font-family: Inter;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    color: #354f4e;
}

.tarjeta-solucion .btn-cta {
    padding: 10px 16px;
}

/* Casas villas estudios */
.imagen-inmueble-castellon {
    height: 250px;
    border-radius: 1rem;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

.imagen-inmueble-castellon img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: inherit;
}

/* Reseñas */

#carouselResenyas {
    min-height: 500px;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 2rem;
    height: 2rem;
}

/* mover hacia afuera */
.carousel-control-prev {
    left: clamp(-2rem, -5vw, -6rem);
}

.carousel-control-next {
    right: clamp(-2rem, -5vw, -6rem);
}

.tarjeta-resenya {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    border-radius: 16px;
    background: var(--blanco);
    overflow: hidden;
    padding-bottom: 1rem;

    width: 100%;            /* se ajusta al ancho de la columna */
    max-width: 350px;       /* tope para pantallas grandes */
    height: auto;           /* que crezca según contenido */
    min-height: 420px;      /* mantiene proporción mínima */
}

.img-superior-resenya {
    width: 100%;
    height: 180px;
    overflow: hidden;
    border-top-left-radius: 16px;
    border-top-right-radius: 16px;
}
.img-superior-resenya img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.img-usuario-resenya {
    position: absolute;
    top: 140px;
    left: 50%;
    transform: translateX(-50%);
}

.img-usuario-resenya img {
    width: 90px;
    height: 90px;
    border-radius: 50%;
    object-fit: cover;
}

.contenido-resenya {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;

    padding: 60px 16px 24px 16px; /* deja espacio para la foto */
    flex: 1 0 auto;
    text-align: center;
}
/* Texto más flexible */
.nombre-usuario-resenya {
    font-size: 1.1rem;
    font-weight: 500;
    color: #000;
}
.texto-resenya {
    font-size: 0.95rem;
    line-height: 1.4;
    color: var(--gris);
}
/* Nuestras marcas */
.logo-nuestras-marcas {
    max-height: 200px;
    width: auto;
    object-fit: contain;
}

/* Media queries*/
@media (max-width: 1200px) {
    .caption {
        width: 90%;
        height: auto;
    }

    .caption-title h1 {
        font-size: 56px;
    }

    .caption-text {
        font-size: 20px;
        max-width: 100%;
    }
    .alquileres-larga-estancia {
        padding-top: 3rem;
    }
}

@media (max-width: 992px) {
    .hero {
        padding: 20px;
        height: 70vh;
        border-radius: 0;
    }

    .caption {
        width: 100%;
        gap: 15px;
    }

    .caption-title h1 {
        font-size: 42px;
    }

    .caption-text {
        font-size: 18px;
    }
}

@media (max-width: 768px) {
    .caption {
        align-items: center;
        text-align: center;
    }

    .caption-title h1 {
        font-size: 32px;
        line-height: 1.2;
    }

    .caption-text {
        font-size: 16px;
        line-height: 1.4;
    }

    .caption-cta a {
        font-size: 14px;
        padding: 10px 20px;
    }

    .contenedor-franquicias-alternativo .borde-separador{
        border: 0;
    }

     .tarjeta-resenya {
        max-width: 100%;
        min-height: auto;
    }

    .img-superior-resenya {
        height: 150px;
    }

    .img-usuario-resenya img {
        width: 70px;
        height: 70px;
    }

    .contenido-resenya {
        padding: 50px 12px 20px 12px;
    }

    .img-usuario-resenya{
        top: 110px;
    }
}

@media (max-width: 480px) {
    .caption-title h1 {
        font-size: 26px;
    }

    .caption-text {
        font-size: 14px;
    }
}
